Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000213bareos-core[All Projects] file daemonpublic2013-08-12 08:292014-05-16 17:44
Reporterpstorz 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version13.2.1 
Target Version13.2.3Fixed in Version13.2.3 
Summary0000213: enable remote plugin info query
Descriptionit would be nice to be able to query the fd to get the info on the loaded plugins like version. author etc.
also, a description of the pluginparameters would be nice, e.g in machine-readable format.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000631)
pstorz (administrator)
2013-08-13 17:46

can be implemented printing the plugin info in

status client

- Related Changesets
bareos: master 3b9a101e
Timestamp: 2013-08-30 20:14:36
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Added usage to the plugin information block

Now the plugin information block also offers a
usage entry. That way, we can include a basic
info about the usage of the plugin in the plugin
itself.

Also, the status filed now shows extended information
about each plugin.

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/lib/plugins.c Diff ] File ]
mod - src/lib/plugins.h Diff ] File ]
mod - src/plugins/dird/python-dir.c Diff ] File ]
mod - src/plugins/filed/bpipe-fd.c Diff ] File ]
mod - src/plugins/filed/example-plugin-fd.c Diff ] File ]
mod - src/plugins/filed/python-fd.c Diff ] File ]
mod - src/plugins/filed/test-deltaseq-fd.c Diff ] File ]
mod - src/plugins/stored/autoxflate-sd.c Diff ] File ]
mod - src/plugins/stored/python-sd.c Diff ] File ]
mod - src/plugins/stored/scsicrypto-sd.c Diff ] File ]
mod - src/stored/sd_plugins.h Diff ] File ]
mod - src/tools/bpluginfo.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-12 08:29 pstorz New Issue
2013-08-13 17:46 pstorz Note Added: 0000631
2013-08-13 17:47 pstorz Status new => acknowledged
2013-08-13 17:47 pstorz Assigned To => pstorz
2013-08-13 17:47 pstorz Status acknowledged => assigned
2013-09-06 13:08 mvwieringen Changeset attached => bareos master 3b9a101e
2013-09-06 13:49 mvwieringen Status assigned => resolved
2013-09-06 13:49 mvwieringen Fixed in Version => 13.3.0
2013-09-06 13:49 mvwieringen Resolution open => fixed
2013-09-06 16:28 maik Severity minor => feature
2014-05-16 17:44 mvwieringen adm Assigned To pstorz =>
2014-05-16 17:44 mvwieringen adm Status resolved => closed
2014-05-16 17:44 mvwieringen adm Product Version 13.3.0 => 13.2.1
2014-05-16 17:44 mvwieringen adm Fixed in Version 13.3.0 => 13.2.3
2014-05-16 17:44 mvwieringen adm Target Version => 13.2.3


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker